Freeciv-3.1: plr_widget Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Data Fields | Private Member Functions | Private Attributes
plr_widget Class Reference

`#include <plrdlg.h>`

Inheritance diagram for plr_widget:

## Public Slots

void | display_header_menu (const QPoint &)
void | nation_selected (const QItemSelection &sl, const QItemSelection &ds)

## Public Member Functions

| plr_widget (plr_report *pr)
| ~plr_widget ()
void | restore_selection ()
plr_model * | get_model () const

## Data Fields

QString | intel_str
QString | ally_str
QString | tech_str
QString | wonder_str
struct player * | other_player

## Private Member Functions

void | mousePressEvent (QMouseEvent *event)
void | hide_columns ()

## Private Attributes

plr_model * | list_model
plr_sorter * | filter_model
plr_item_delegate * | pid
plr_report * | plr
QString | techs_known
QString | techs_unknown
struct player * | selected_player

## Detailed Description

Definition at line 128 of file plrdlg.h.

## Constructor & Destructor Documentation

## ◆ plr_widget()

plr_widget::plr_widget | ( | plr_report * | pr | ) |

Constructor for plr_widget

Definition at line 362 of file plrdlg.cpp.

## ◆ ~plr_widget()

plr_widget::~plr_widget | ( |  | ) |

Destructor for player widget

Definition at line 778 of file plrdlg.cpp.

## Member Function Documentation

## ◆ display_header_menu

void plr_widget::display_header_menu | ( | const QPoint & |  | ) |

slot

Displays menu on header by right clicking

Definition at line 425 of file plrdlg.cpp.

Referenced by plr_widget().

## ◆ get_model()

plr_model * plr_widget::get_model | ( |  | ) | const

Returns model used in widget

Definition at line 770 of file plrdlg.cpp.

Referenced by plr_report::update_report().

## ◆ hide_columns()

void plr_widget::hide_columns | ( |  | ) |

private

Hides columns in plr widget, depending on info from plr_list

Definition at line 478 of file plrdlg.cpp.

Referenced by plr_widget().

## ◆ mousePressEvent()

void plr_widget::mousePressEvent | ( | QMouseEvent * | event | ) |

private

Handle mouse click

Definition at line 1028 of file plrdlg.cpp.

## ◆ nation_selected

void plr_widget::nation_selected | ( | const QItemSelection & | sl,
|  | const QItemSelection & | ds
| ) |  |

slot

Slot for selecting player/nation

Formatting rich text

Definition at line 492 of file plrdlg.cpp.

Referenced by plr_widget().

## ◆ restore_selection()

void plr_widget::restore_selection | ( |  | ) |

Restores selection of previously selected nation

Definition at line 396 of file plrdlg.cpp.

Referenced by plr_report::update_report().

## Field Documentation

## ◆ ally_str

QString plr_widget::ally_str

Definition at line 145 of file plrdlg.h.

Referenced by nation_selected(), and plr_report::update_report().

## ◆ filter_model

plr_sorter* plr_widget::filter_model

private

Definition at line 133 of file plrdlg.h.

Referenced by plr_widget(), restore_selection(), and ~plr_widget().

## ◆ intel_str

QString plr_widget::intel_str

Definition at line 144 of file plrdlg.h.

Referenced by nation_selected(), and plr_report::update_report().

## ◆ list_model

plr_model* plr_widget::list_model

private

Definition at line 132 of file plrdlg.h.

Referenced by display_header_menu(), get_model(), hide_columns(), plr_widget(), and ~plr_widget().

## ◆ other_player

struct player* plr_widget::other_player

Definition at line 148 of file plrdlg.h.

Referenced by nation_selected(), plr_widget(), plr_report::toggle_ai_mode(), and plr_report::update_report().

## ◆ pid

plr_item_delegate* plr_widget::pid

private

Definition at line 134 of file plrdlg.h.

Referenced by plr_widget(), and ~plr_widget().

## ◆ plr

plr_report* plr_widget::plr

private

Definition at line 135 of file plrdlg.h.

Referenced by mousePressEvent(), nation_selected(), and plr_widget().

## ◆ selected_player

struct player* plr_widget::selected_player

private

Definition at line 138 of file plrdlg.h.

Referenced by nation_selected(), plr_widget(), and restore_selection().

## ◆ tech_str

QString plr_widget::tech_str

Definition at line 146 of file plrdlg.h.

Referenced by nation_selected(), and plr_report::update_report().

## ◆ techs_known

QString plr_widget::techs_known

private

Definition at line 136 of file plrdlg.h.

Referenced by nation_selected().

## ◆ techs_unknown

QString plr_widget::techs_unknown

private

Definition at line 137 of file plrdlg.h.

Referenced by nation_selected().

## ◆ wonder_str

QString plr_widget::wonder_str

Definition at line 147 of file plrdlg.h.

Referenced by nation_selected(), and plr_report::update_report().